Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.service.impl.utility.model
Class Edge

    java.lang.Object
      kieker.webgui.service.impl.utility.model.Edge

    public class Edge

extends Object

Objects of this class represent directed edges between `Port`s or `Node`s without `Port`s.

Author:
  Robin Weiss, Florian Fittkau

Constructor Summary
`Edge(Node source, Node target, Port sourcePort, Port targetPort)` Constructor for an `Edge`.

Method Summary
`void` | `addBendPoint(float x, float y)` Adds a bend point to the edge.
`List<Point>` | `getBendPoints()`
`de.cau.cs.kieler.core.kgraph.KEdge` | `getKielerEdge()`
`Node` | `getSource()`
`Port` | `getSourcePort()`
`Node` | `getTarget()`
`Port` | `getTargetPort()`
`boolean` | `hasSourcePort()` Checks to see if the source `Node` of the edge has `Port`s.
`boolean` | `hasTargetPort()` Checks to see if the target `Node` of the edge has `Port`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Edge

    public Edge(Node source,
                Node target,
                Port sourcePort,
                Port targetPort)

  Constructor for an `Edge`.

  Parameters:
    `source` - the source `Node` of the edge
    `target` - the target `Node` of the edge
    `sourcePort` - the `Port` of the source to which the edge is connected or null if the source has no ports
    `targetPort` - the `Port` of the target to which the edge is connected or null if the source has no ports

Method Detail

### addBendPoint

    public void addBendPoint(float x,
                             float y)

  Adds a bend point to the edge.

  Parameters:
    `x` - the absolute x-coordinate of the bend point
    `y` - the absolute y-coordinate of the bend point

### hasSourcePort

    public boolean hasSourcePort()

  Checks to see if the source `Node` of the edge has `Port`s.

  Returns:
    true if the source `Node` has `Port`s

### hasTargetPort

    public boolean hasTargetPort()

  Checks to see if the target `Node` of the edge has `Port`s.

  Returns:
    true if the target `Node` has `Port`s

### getKielerEdge

    public de.cau.cs.kieler.core.kgraph.KEdge getKielerEdge()

### getSource

    public Node getSource()

### getTarget

    public Node getTarget()

### getSourcePort

    public Port getSourcePort()

### getTargetPort

    public Port getTargetPort()

### getBendPoints

    public List<Point> getBendPoints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.